import { Controller, EventListenerController, EventListenerTarget, ReactiveElement } from '@a11d/lit';
export interface PointerPressControllerOptions {
    target?: EventListenerTarget;
    handlePressChange?(press: boolean): void;
}
export declare class PointerPressController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerPressControllerOptions | undefined;
    constructor(host: ReactiveElement, options?: PointerPressControllerOptions | undefined);
    protected _press: boolean;
    get press(): boolean;
    protected setPress(press: boolean): void;
    protected readonly pointerDown: EventListenerController;
    protected readonly pointerUp: EventListenerController;
}
//# sourceMappingURL=PointerPressController.d.ts.map